% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/signatureEnrichment.R
\name{signatureEnrichment}
\alias{signatureEnrichment}
\title{Signature Enrichment}
\usage{
signatureEnrichment(exprsVals, geneSet, dontInclude = NULL, weighted = 1,
  fast = T)
}
\arguments{
\item{exprsVals}{- a matrix of expression values (genes x patients)}

\item{geneSet}{- a vector representing genes to calculate the enrichment for 
can either be a list of gene names (matching the rownames of exprsVals)
or a numeric vector representing the locations of the genes in exprsVals}

\item{dontInclude}{- genes to be removed from exprsVals before calculating enrichment}

\item{weighted}{- the weighting of the enrichment score calculation
(refer to Subramanian 2005 for in depth discussion of this)}

\item{fast}{- if set to false, will do an in-depth search of the gene names to find matches
(if a probe has multiple gene names, you can label it using "ABC1 /// ABC2" and 
 set fast=F to search for all instances of "ABC1")}
}
\value{
numeric vector; the per-sample enrichment of the genes in the gene set
}
\description{
find enrichment score of gene set
}
